import argparse

parser = argparse.ArgumentParser()
parser.add_argument("FILEIN")
parser.add_argument("FILEOUT")
parser.add_argument('location', choices=['corner', 'endx', 'endy'])

args = parser.parse_args()

filein = open(args.FILEIN, "r")
fileout = open(args.FILEOUT, "w")

corner_mapping = [
(r"TIPC^PLC1^Fast^Inputs^", r"TIPC^AuxCorner^AuxCorner Instance^AuxCFast Inputs^IO_AuxCorner."),
(r"TIPC^PLC1^Fast^Outputs^", r"TIPC^AuxCorner^AuxCorner Instance^AuxCFast Outputs^IO_AuxCorner."),
(r"TIPC^PLC1^Standard^Inputs^", r"TIPC^AuxCorner^AuxCorner Instance^AuxCStd Inputs^IO_AuxCorner."),
(r"TIPC^PLC1^Standard^Outputs^", r"TIPC^AuxCorner^AuxCorner Instance^AuxCStd Outputs^IO_AuxCorner."),

(r"TIPC^PLC2^Standard^Inputs^", r"TIPC^IscCorner^IscCorner Instance^IscCStd Inputs^IO_IscCorner."),
(r"TIPC^PLC2^Standard^Outputs^", r"TIPC^IscCorner^IscCorner Instance^IscCStd Outputs^IO_IscCorner."),

(r"TIPC^PLC3^Standard^Inputs^", r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Inputs^IO_TcsCorner."),
(r"TIPC^PLC3^Standard^Outputs^", r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Outputs^IO_TcsCorner."),
(r"TIPC^PLC4^Fast^Inputs^", r"TIPC^SqzCorner^SqzCorner Instance^SqzCFast Inputs^IO_SqzCorner."),

(r"TIPC^PLC4^Fast^Outputs^", r"TIPC^SqzCorner^SqzCorner Instance^SqzCFast Outputs^IO_SqzCorner."),
(r"TIPC^PLC4^Standard^Inputs^", r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Inputs^IO_SqzCorner."),
(r"TIPC^PLC4^Standard^Outputs^", r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Outputs^IO_SqzCorner."),

(r"TIID^MSR Auxiliary (EtherCAT)", r"TIID^Vertex MSR (EtherCAT)"),

(r"Corner MSR L0 (EK1101)", r"MSR Chassis L0 (EK1101)"),
(r"Corner MSR L1 (EL6080)", r"MSR Chassis L1 (EL6080)"),
(r"Corner MSR L2 (EL3202-0010)", r"MSR Chassis L2 (EL3202-0010)"),
(r"Corner MSR L7 (EL9400)", r"MSR Chassis L3 (EL9400)"),
(r"Corner MSR L10_11 (EL6688)", r"MSR Chassis L4 (EL6688)"),
(r"Corner MSR L12_13 (EL6002)", r"MSR Chassis L6 (EL6002)"),
(r"Corner MSR L14_15 (EL6002)", r"MSR Chassis L8 (EL6002)"),
(r"Corner MSR L16_17 (EL6022)", r"MSR Chassis L10 (EL6022)"),
(r"Corner MSR L22 (EL9011)", r"MSR Chassis L12 (EL9011)"),

(r"TIID^Vertex Auxiliary (EtherCAT)^Auxiliary MSR (CU1521)", r"TIID^Vertex Auxiliary (EtherCAT)^MSR Converter (CU1521)"),
(r"TIID^Vertex Auxiliary (EtherCAT)^Auxiliary LVEA (CU1521)", r"TIID^Vertex Auxiliary (EtherCAT)^LVEA Converter (CU1521)"),

(r"TIID^Vertex Auxiliary (EtherCAT)^Auxiliary LVEA Hub 1 (CU1128)", r"TIID^Vertex Auxiliary (EtherCAT)^LVEA Hub 1 (CU1128)"),
(r"Illuminators Input", r"LVEA Illuminator 1"),
(r"Illuminators Vertex", r"LVEA Illuminator 2"),
(r"Illuminators Output", r"LVEA Illuminator 3"),
(r"TCS Chillers", r"TCS Chiller"),

(r"Auxiliary LVEA Hub 2 (CU1128-B)", r"LVEA Hub 2 (CU1128-0001)"),
(r"AOS Baffle ITMX (EP2316-0008)", r"AOS Baffle ITMX 1 (EP2316-0008)"),
(r"AOS Baffle ITMX (EP3174-0002)", r"AOS Baffle ITMX 2 (EP3174-0002)"),
(r"AOS Baffle ITMY (EP2316-0008)", r"AOS Baffle ITMY 1 (EP2316-0008)"),
(r"AOS Baffle ITMY (EP3174-0002)", r"AOS Baffle ITMY 2 (EP3174-0002)"),

(r"Auxiliary LVEA Hub 3 (CU1128-C)", r"LVEA Hub 3 (CU1128-0002)"),

(r"TIID^Vertex ISC (EtherCAT)^Media Converter Vertex", r"TIID^Vertex ISC (EtherCAT)^MSR Converter"),

(r"TIID^Vertex ISC (EtherCAT)^Corner Chassis 2 L-3 (Anybus X-gateway - Slave)", r"TIID^Vertex ISC (EtherCAT)^Corner Chassis 2 L-3 (AB9000)"),
(r"TIID^Vertex ISC (EtherCAT)^Corner Chassis 2 L-2 (Anybus X-gateway - Slave)", r"TIID^Vertex ISC (EtherCAT)^Corner Chassis 2 L-2 (AB9000)"),
(r"TIID^Vertex ISC (EtherCAT)^Corner Chassis 2 L-1 (Anybus X-gateway - Slave)", r"TIID^Vertex ISC (EtherCAT)^Corner Chassis 2 L-1 (AB9000)"),

(r"TIID^Vertex ISC (EtherCAT)^Corner Chassis 2 L0 (EK1101)^Corner Chassis 2 L1_2", r"TIID^Vertex ISC (EtherCAT)^Corner Chassis 2 L0 (EK1101)^Corner Chassis 2 L1"),
(r"TIID^Vertex ISC (EtherCAT)^Corner Chassis 2 L0 (EK1101)^Corner Chassis 2 L3_4", r"TIID^Vertex ISC (EtherCAT)^Corner Chassis 2 L0 (EK1101)^Corner Chassis 2 L3"),

(r"TIID^Vertex Squeezer (EtherCAT)^Media Converter 1", r"TIID^Vertex Squeezer (EtherCAT)^MSR Converter"),
(r"SQZ Common L0 (EK1501)^ISC Common", r"SQZ Common L0 (EK1501)^SQZ Common"),
(r"SQZ Common M0 (EK1100)^ISC Common", r"SQZ Common M0 (EK1100)^SQZ Common"),
(r"SQZ Common R0 (EK1100)^ISC Common", r"SQZ Common R0 (EK1100)^SQZ Common"),

(r"PSL TCS MSR", r"MSR Converter"),

(r"^TCS Chassis L1 ", r"^TCS Chassis L0 "),
(r"^TCS Chassis L2 ", r"^TCS Chassis L1 "),
(r"^TCS Chassis L3 ", r"^TCS Chassis L2 "),
(r"^TCS Chassis L4 ", r"^TCS Chassis L3 "),
(r"^TCS Chassis L5 ", r"^TCS Chassis L4 "),
(r"^TCS Chassis L6 ", r"^TCS Chassis L5 "),
(r"^TCS Chassis L7 ", r"^TCS Chassis L6 "),
(r"^TCS Chassis L8 ", r"^TCS Chassis L7 "),
(r"^TCS Chassis L9 ", r"^TCS Chassis L8 "),
(r"^TCS Chassis L10 ", r"^TCS Chassis L9 "),
(r"^TCS Chassis L11 ", r"^TCS Chassis L10 "),
(r"^TCS Chassis L12 ", r"^TCS Chassis L11 "),
(r"^TCS Chassis L13 ", r"^TCS Chassis L12 "),
(r"^TCS Chassis L14 ", r"^TCS Chassis L13 "),
(r"^TCS Chassis L15 ", r"^TCS Chassis L14 "),
(r"^TCS Chassis L16 ", r"^TCS Chassis L15 "),
(r"^TCS Chassis L17 ", r"^TCS Chassis L16 "),
(r"^TCS Chassis L18 ", r"^TCS Chassis L17 "),
(r"^TCS Chassis L19 ", r"^TCS Chassis L18 "),
(r"^TCS Chassis L20 ", r"^TCS Chassis L19 "),
(r"^TCS Chassis L21 ", r"^TCS Chassis L20 "),
(r"^TCS Chassis L22 ", r"^TCS Chassis L21 "),
(r"^TCS Chassis L23 ", r"^TCS Chassis L22 "),
(r"^TCS Chassis L24 ", r"^TCS Chassis L23 "),
(r"^TCS Chassis L25 ", r"^TCS Chassis L24 "),
(r"^TCS Chassis L26 ", r"^TCS Chassis L25 "),
(r"^TCS Chassis L27 ", r"^TCS Chassis L26 "),
(r"^TCS Chassis L28 ", r"^TCS Chassis L27 "),

(r"^TCS Chassis M1 ", r"^TCS Chassis M0 "),
(r"^TCS Chassis M2 ", r"^TCS Chassis M1 "),
(r"^TCS Chassis M3 ", r"^TCS Chassis M2 "),
(r"^TCS Chassis M4 ", r"^TCS Chassis M3 "),
(r"^TCS Chassis M5 ", r"^TCS Chassis M4 "),
(r"^TCS Chassis M6 ", r"^TCS Chassis M5 "),
(r"^TCS Chassis M7 ", r"^TCS Chassis M6 "),
(r"^TCS Chassis M8 ", r"^TCS Chassis M7 "),
(r"^TCS Chassis M9 ", r"^TCS Chassis M8 "),
(r"^TCS Chassis M10 ", r"^TCS Chassis M9 "),
(r"^TCS Chassis M11 ", r"^TCS Chassis M10 "),
(r"^TCS Chassis M12 ", r"^TCS Chassis M11 "),
(r"^TCS Chassis M13 ", r"^TCS Chassis M12 "),
(r"^TCS Chassis M14 ", r"^TCS Chassis M13 "),
(r"^TCS Chassis M15 ", r"^TCS Chassis M14 "),
(r"^TCS Chassis M16 ", r"^TCS Chassis M15 "),
(r"^TCS Chassis M17 ", r"^TCS Chassis M16 "),
(r"^TCS Chassis M18 ", r"^TCS Chassis M17 "),

(r"^MOTOR^", r"^"),
(r"^MOTOR_X^", r"^"),
(r"^MOTOR_Y^", r"^"),

(r"SysFiberPolCorrIn^D", r"SysFiberPolCorrIn"),
(r"SysFiberPolCorrOut^D", r"SysFiberPolCorrOut"),

(r"WeatherIn^D", r"WeatherIn"),
(r"WeatherOut^D", r"WeatherOut"),

(r"(EL6002)^COM Inputs Channel", r"(EL6002)^COM TxPDO-Map Inputs Channel"),
(r"(EL6002)^COM Outputs Channel", r"(EL6002)^COM RxPDO-Map Outputs Channel"),

(r"^Seg^Seg[", r"^Seg["),

(r"TIPC^IscCorner^IscCorner Instance^IscCStd Inputs^IO_IscCorner.IscRfCSpareAmpIn^IscRfCSpareAmpIn[", r"TIPC^IscCorner^IscCorner Instance^IscCStd Inputs^IO_IscCorner.IscRfCSpareAmpIn["),
(r"TIPC^SqzCorner^SqzCorner Instance^SqzCFast Outputs^IO_SqzCorner.SqzSparePztOut^SqzSparePztOut[", r"TIPC^SqzCorner^SqzCorner Instance^SqzCFast Outputs^IO_SqzCorner.SqzSparePztOut["),
(r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Inputs^IO_SqzCorner.SqzOpoTempIn^SqzOpoTempIn[", r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Inputs^IO_SqzCorner.SqzOpoTempIn["),
(r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Inputs^IO_SqzCorner.SqzSpareFlipperIn^SqzSpareFlipperIn[", r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Inputs^IO_SqzCorner.SqzSpareFlipperIn["),
(r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Inputs^IO_SqzCorner.SqzSparePztIn^SqzSparePztIn[", r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Inputs^IO_SqzCorner.SqzSparePztIn["),
(r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Inputs^IO_SqzCorner.SqzSpareRelayIn^SqzSpareRelayIn[", r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Inputs^IO_SqzCorner.SqzSpareRelayIn["),
(r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Inputs^IO_SqzCorner.SqzSpareTempIn^SqzSpareTempIn[", r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Inputs^IO_SqzCorner.SqzSpareTempIn["),
(r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Outputs^IO_SqzCorner.SqzOpoTempOut^SqzOpoTempOut[", r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Outputs^IO_SqzCorner.SqzOpoTempOut["),
(r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Outputs^IO_SqzCorner.SqzSpareFlipperOut^SqzSpareFlipperOut[", r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Outputs^IO_SqzCorner.SqzSpareFlipperOut["),
(r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Outputs^IO_SqzCorner.SqzSpareRelayOut^SqzSpareRelayOut[", r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Outputs^IO_SqzCorner.SqzSpareRelayOut["),
(r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Outputs^IO_SqzCorner.SqzSpareTempOut^SqzSpareTempOut[", r"TIPC^SqzCorner^SqzCorner Instance^SqzCStd Outputs^IO_SqzCorner.SqzSpareTempOut["),
(r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Inputs^IO_TcsCorner.AosBaffleXDcIn^AosBaffleXDcIn[", r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Inputs^IO_TcsCorner.AosBaffleXDcIn["),
(r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Inputs^IO_TcsCorner.AosBaffleYDcIn^AosBaffleYDcIn[", r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Inputs^IO_TcsCorner.AosBaffleYDcIn["),
(r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Inputs^IO_TcsCorner.TcsChillerXIn^D^D[", r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Inputs^IO_TcsCorner.TcsChillerXIn^D["),
(r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Inputs^IO_TcsCorner.TcsChillerYIn^D^D[", r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Inputs^IO_TcsCorner.TcsChillerYIn^D["),
(r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Outputs^IO_TcsCorner.AosBaffleXDcOut^AosBaffleXDcOut[", r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Outputs^IO_TcsCorner.AosBaffleXDcOut["),
(r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Outputs^IO_TcsCorner.AosBaffleYDcOut^AosBaffleYDcOut[", r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Outputs^IO_TcsCorner.AosBaffleYDcOut["),
(r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Outputs^IO_TcsCorner.TcsChillerXOut^D^D[", r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Outputs^IO_TcsCorner.TcsChillerXOut^D["),
(r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Outputs^IO_TcsCorner.TcsChillerYOut^D^D[", r"TIPC^TcsCorner^TcsCorner Instance^TcsCStd Outputs^IO_TcsCorner.TcsChillerYOut^D["),
]

end_x_mapping = [
(r"TIPC^PLC1^Standard^Inputs^", r"TIPC^AuxEndX^AuxEndX Instance^AuxEStd Inputs^IO_AuxEnd."),
(r"TIPC^PLC1^Standard^Outputs^", r"TIPC^AuxEndX^AuxEndX Instance^AuxEStd Outputs^IO_AuxEnd."),
(r"TIPC^PLC1^Fast^Inputs^", r"TIPC^AuxEndX^AuxEndX Instance^AuxEFast Inputs^IO_AuxEnd."),
(r"TIPC^PLC1^Fast^Outputs^", r"TIPC^AuxEndX^AuxEndX Instance^AuxEFast Outputs^IO_AuxEnd."),

(r"TIPC^PLC2^Standard^Inputs^", r"TIPC^IscEndX^IscEndX Instance^IscEStd Inputs^IO_IscEnd."),
(r"TIPC^PLC2^Standard^Outputs^", r"TIPC^IscEndX^IscEndX Instance^IscEStd Outputs^IO_IscEnd."),

(r"TIPC^PLC3^Standard^Inputs^", r"TIPC^TcsEndX^TcsEndX Instance^TcsEStd Inputs^IO_TcsEnd."),
(r"TIPC^PLC3^Standard^Outputs^", r"TIPC^TcsEndX^TcsEndX Instance^TcsEStd Outputs^IO_TcsEnd."),

(r"^MOTOR^", r"^"),
(r"^MOTOR_X^", r"^"),
(r"^MOTOR_Y^", r"^"),

(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L1 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L1 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L2 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L2 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L3 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L3 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L4 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L4 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L5 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L5 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L6 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L6 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L7 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L7 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L8 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L8 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L9 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L9 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L10 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L10 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L11 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L11 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L12 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L12 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L13 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L13 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L14 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L14 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L15 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L15 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L16 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L16 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L17 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L17 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L18 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L18 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L19 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L19 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L20 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common L0 (EK1501)^EndX Common L20 "),

(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M1 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M1 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M2 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M2 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M3 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M3 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M4 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M4 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M5 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M5 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M6 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M6 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M7 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M7 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M8 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M8 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M9 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M9 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M10 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M10 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M11 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M11 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M12 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M12 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M13 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M13 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M14 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M14 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M15 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M15 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M16 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M16 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M17 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M17 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M18 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M18 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M19 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M19 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M20 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common M0 (EK1100)^EndX Common M20 "),

(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R1 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common R0 (EK1100)^EndX Common R1 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R2 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common R0 (EK1100)^EndX Common R2 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R3 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common R0 (EK1100)^EndX Common R3 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R4 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common R0 (EK1100)^EndX Common R4 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R5 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common R0 (EK1100)^EndX Common R5 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R6 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common R0 (EK1100)^EndX Common R6 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R7 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common R0 (EK1100)^EndX Common R7 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R8 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common R0 (EK1100)^EndX Common R8 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R9 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common R0 (EK1100)^EndX Common R9 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R10 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common R0 (EK1100)^EndX Common R10 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R11 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common R0 (EK1100)^EndX Common R11 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R12 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common R0 (EK1100)^EndX Common R12 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R13 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common R0 (EK1100)^EndX Common R13 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R14 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common R0 (EK1100)^EndX Common R14 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R15 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Common R0 (EK1100)^EndX Common R15 "),

(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L1 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 L0 (EK1101)^EndX Chassis 2 L1 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L2 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 L0 (EK1101)^EndX Chassis 2 L2 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L3 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 L0 (EK1101)^EndX Chassis 2 L3 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L4 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 L0 (EK1101)^EndX Chassis 2 L4 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L5 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 L0 (EK1101)^EndX Chassis 2 L5 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L6 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 L0 (EK1101)^EndX Chassis 2 L6 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L7 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 L0 (EK1101)^EndX Chassis 2 L7 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L8 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 L0 (EK1101)^EndX Chassis 2 L8 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L9 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 L0 (EK1101)^EndX Chassis 2 L9 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L10 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 L0 (EK1101)^EndX Chassis 2 L10 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L11 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 L0 (EK1101)^EndX Chassis 2 L11 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L12 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 L0 (EK1101)^EndX Chassis 2 L12 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L13 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 L0 (EK1101)^EndX Chassis 2 L13 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L14 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 L0 (EK1101)^EndX Chassis 2 L14 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L15 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 L0 (EK1101)^EndX Chassis 2 L15 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L16 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 L0 (EK1101)^EndX Chassis 2 L16 "),

(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M1 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M1 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M2 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M2 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M3 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M3 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M4 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M4 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M5 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M5 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M6 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M6 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M7 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M7 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M8 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M8 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M9 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M9 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M10 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M10 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M11 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M11 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M12 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M12 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M13 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M13 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M14 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M14 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M15 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M15 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M16 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M16 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M17 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M17 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M18 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 M0 (EK1100)^EndX Chassis 2 M18 "),

(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R1 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 R0 (EK1100)^EndX Chassis 2 R1 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R2 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 R0 (EK1100)^EndX Chassis 2 R2 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R3 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 R0 (EK1100)^EndX Chassis 2 R3 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R4 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 R0 (EK1100)^EndX Chassis 2 R4 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R5 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 R0 (EK1100)^EndX Chassis 2 R5 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R6 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 R0 (EK1100)^EndX Chassis 2 R6 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R7 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 R0 (EK1100)^EndX Chassis 2 R7 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R8 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 R0 (EK1100)^EndX Chassis 2 R8 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R9 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 R0 (EK1100)^EndX Chassis 2 R9 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R10 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 R0 (EK1100)^EndX Chassis 2 R10 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R11 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 R0 (EK1100)^EndX Chassis 2 R11 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R12 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 R0 (EK1100)^EndX Chassis 2 R12 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R13 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 2 R0 (EK1100)^EndX Chassis 2 R13 "),

(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L1 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 3 L0 (EK1101)^EndX Chassis 3 L1 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L2 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 3 L0 (EK1101)^EndX Chassis 3 L2 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L3 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 3 L0 (EK1101)^EndX Chassis 3 L3 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L4 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 3 L0 (EK1101)^EndX Chassis 3 L4 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L5 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 3 L0 (EK1101)^EndX Chassis 3 L5 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L6 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 3 L0 (EK1101)^EndX Chassis 3 L6 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L7 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 3 L0 (EK1101)^EndX Chassis 3 L7 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L8 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 3 L0 (EK1101)^EndX Chassis 3 L8 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L9 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 3 L0 (EK1101)^EndX Chassis 3 L9 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L10 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 3 L0 (EK1101)^EndX Chassis 3 L10 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L11 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 3 L0 (EK1101)^EndX Chassis 3 L11 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L12 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 3 L0 (EK1101)^EndX Chassis 3 L12 "),
(r"TIID^End X (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L13 ", "TIID^EndX (EtherCAT)^EndX Link L0 (EK1501-0010)^EndX Link L2 (EK1521)^EndX Chassis 3 L0 (EK1101)^EndX Chassis 3 L13 "),

(r"^Seg^Seg[", r"^Seg["),
(r"^I^I[", r"^I["),
(r"^O^O[", r"^O["),

(r"TIPC^TcsEndX^TcsEndX Instance^TcsEStd Inputs^IO_TcsEnd.AosBaffleDcIn^AosBaffleDcIn[", r"TIPC^TcsEndX^TcsEndX Instance^TcsEStd Inputs^IO_TcsEnd.AosBaffleDcIn["),
(r"TIPC^TcsEndX^TcsEndX Instance^TcsEStd Outputs^IO_TcsEnd.AosBaffleDcOut^AosBaffleDcOut[", r"TIPC^TcsEndX^TcsEndX Instance^TcsEStd Outputs^IO_TcsEnd.AosBaffleDcOut["),
(r"TIPC^AuxEndX^AuxEndX Instance^AuxEStd Inputs^IO_AuxEnd.PemEnvEndFenceWindDirectionIn^PemEnvEndFenceWindDirectionIn[", r"TIPC^AuxEndX^AuxEndX Instance^AuxEStd Inputs^IO_AuxEnd.PemEnvEndFenceWindDirectionIn["),
(r"TIPC^AuxEndX^AuxEndX Instance^AuxEStd Inputs^IO_AuxEnd.PemEnvEndFenceWindSpeedIn^PemEnvEndFenceWindSpeedIn[", r"TIPC^AuxEndX^AuxEndX Instance^AuxEStd Inputs^IO_AuxEnd.PemEnvEndFenceWindSpeedIn["),

(r"^Box 251 (EP2328-0002)^", r"^EndX Enclosure 1 (EP2328-0002)^"),

(r"^Wind Sensor 1 (EP3174-0002)^", r"^Wind Fence EndX 1 (EP3174-0002)^"),
(r"^Wind Sensor 2 (EP3174-0002)^", r"^Wind Fence EndX 2 (EP3174-0002)^"),

(r"^ALS Laser Table Relay (EP2624-0002)^", r"^EndX Illuminator 1 (EP2624-0002)^"),
(r"TIID^End X (EtherCAT)^", r"TIID^EndX (EtherCAT)^"),
(r"^End Link L0 (EK1101)^", r"^EndX Link L0 (EK1501-0010)^"),
(r"^End Link L2 (EL3202-0010)^", r"^EndX Link L1 (EL3202-0010)^"),
(r"^End Link L3_4 (EK1521)^", r"^EndX Link L2 (EK1521)^"),
(r"^End Station Hub (CU1128)^", r"^EndX VEA Hub 1 (CU1128)^"),
(r"^End Station Hub 2 (CU1128-B)^", r"^EndX VEA Hub 2 (CU1128-0001)^"),

(r"^Baffle PD Amp ETM (EP2316-0008)^", r"^AOS Baffle ETMX 1 (EP2316-0008)^"),
(r"^Baffle PD Amp ETM (EP3174-0002)^", r"^AOS Baffle ETMX 2 (EP3174-0002)^"),
]

end_y_mapping = [
(r"TIPC^PLC1^Standard^Inputs^", r"TIPC^AuxEndY^AuxEndY Instance^AuxEStd Inputs^IO_AuxEnd."),
(r"TIPC^PLC1^Standard^Outputs^", r"TIPC^AuxEndY^AuxEndY Instance^AuxEStd Outputs^IO_AuxEnd."),
(r"TIPC^PLC1^Fast^Inputs^", r"TIPC^AuxEndY^AuxEndY Instance^AuxEFast Inputs^IO_AuxEnd."),
(r"TIPC^PLC1^Fast^Outputs^", r"TIPC^AuxEndY^AuxEndY Instance^AuxEFast Outputs^IO_AuxEnd."),

(r"TIPC^PLC2^Standard^Inputs^", r"TIPC^IscEndY^IscEndY Instance^IscEStd Inputs^IO_IscEnd."),
(r"TIPC^PLC2^Standard^Outputs^", r"TIPC^IscEndY^IscEndY Instance^IscEStd Outputs^IO_IscEnd."),

(r"TIPC^PLC3^Standard^Inputs^", r"TIPC^TcsEndY^TcsEndY Instance^TcsEStd Inputs^IO_TcsEnd."),
(r"TIPC^PLC3^Standard^Outputs^", r"TIPC^TcsEndY^TcsEndY Instance^TcsEStd Outputs^IO_TcsEnd."),

(r"^MOTOR^", r"^"),
(r"^MOTOR_X^", r"^"),
(r"^MOTOR_Y^", r"^"),

("TIID^Device 1 (EtherCAT)^", "TIID^End Y (EtherCAT)^"),

(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L1 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L1 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L2 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L2 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L3 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L3 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L4 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L4 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L5 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L5 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L6 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L6 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L7 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L7 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L8 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L8 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L9 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L9 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L10 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L10 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L11 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L11 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L12 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L12 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L13 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L13 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L14 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L14 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L15 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L15 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L16 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L16 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L17 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L17 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L18 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L18 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L19 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L19 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common L0 (EK1501)^ISC Common L20 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common L0 (EK1501)^EndY Common L20 "),

(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M1 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M1 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M2 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M2 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M3 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M3 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M4 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M4 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M5 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M5 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M6 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M6 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M7 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M7 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M8 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M8 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M9 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M9 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M10 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M10 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M11 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M11 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M12 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M12 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M13 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M13 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M14 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M14 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M15 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M15 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M16 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M16 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M17 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M17 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M18 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M18 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M19 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M19 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common M0 (EK1100)^ISC Common M20 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common M0 (EK1100)^EndY Common M20 "),

(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R1 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common R0 (EK1100)^EndY Common R1 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R2 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common R0 (EK1100)^EndY Common R2 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R3 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common R0 (EK1100)^EndY Common R3 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R4 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common R0 (EK1100)^EndY Common R4 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R5 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common R0 (EK1100)^EndY Common R5 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R6 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common R0 (EK1100)^EndY Common R6 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R7 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common R0 (EK1100)^EndY Common R7 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R8 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common R0 (EK1100)^EndY Common R8 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R9 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common R0 (EK1100)^EndY Common R9 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R10 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common R0 (EK1100)^EndY Common R10 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R11 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common R0 (EK1100)^EndY Common R11 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R12 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common R0 (EK1100)^EndY Common R12 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R13 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common R0 (EK1100)^EndY Common R13 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R14 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common R0 (EK1100)^EndY Common R14 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^ISC Common R0 (EK1100)^ISC Common R15 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Common R0 (EK1100)^EndY Common R15 "),

(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L1 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 L0 (EK1101)^EndY Chassis 2 L1 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L2 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 L0 (EK1101)^EndY Chassis 2 L2 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L3 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 L0 (EK1101)^EndY Chassis 2 L3 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L4 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 L0 (EK1101)^EndY Chassis 2 L4 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L5 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 L0 (EK1101)^EndY Chassis 2 L5 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L6 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 L0 (EK1101)^EndY Chassis 2 L6 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L7 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 L0 (EK1101)^EndY Chassis 2 L7 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L8 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 L0 (EK1101)^EndY Chassis 2 L8 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L9 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 L0 (EK1101)^EndY Chassis 2 L9 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L10 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 L0 (EK1101)^EndY Chassis 2 L10 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L11 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 L0 (EK1101)^EndY Chassis 2 L11 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L12 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 L0 (EK1101)^EndY Chassis 2 L12 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L13 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 L0 (EK1101)^EndY Chassis 2 L13 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L14 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 L0 (EK1101)^EndY Chassis 2 L14 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L15 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 L0 (EK1101)^EndY Chassis 2 L15 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 L0 (EK1101)^End Station 2 L16 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 L0 (EK1101)^EndY Chassis 2 L16 "),

(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M1 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M1 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M2 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M2 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M3 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M3 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M4 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M4 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M5 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M5 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M6 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M6 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M7 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M7 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M8 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M8 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M9 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M9 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M10 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M10 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M11 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M11 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M12 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M12 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M13 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M13 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M14 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M14 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M15 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M15 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M16 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M16 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M17 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M17 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 M0 (EK1100)^End Station 2 M18 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 M0 (EK1100)^EndY Chassis 2 M18 "),

(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R1 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 R0 (EK1100)^EndY Chassis 2 R1 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R2 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 R0 (EK1100)^EndY Chassis 2 R2 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R3 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 R0 (EK1100)^EndY Chassis 2 R3 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R4 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 R0 (EK1100)^EndY Chassis 2 R4 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R5 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 R0 (EK1100)^EndY Chassis 2 R5 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R6 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 R0 (EK1100)^EndY Chassis 2 R6 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R7 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 R0 (EK1100)^EndY Chassis 2 R7 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R8 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 R0 (EK1100)^EndY Chassis 2 R8 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R9 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 R0 (EK1100)^EndY Chassis 2 R9 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R10 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 R0 (EK1100)^EndY Chassis 2 R10 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R11 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 R0 (EK1100)^EndY Chassis 2 R11 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R12 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 R0 (EK1100)^EndY Chassis 2 R12 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 2 R0 (EK1100)^End Station 2 R13 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 2 R0 (EK1100)^EndY Chassis 2 R13 "),

(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L1 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 3 L0 (EK1101)^EndY Chassis 3 L1 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L2 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 3 L0 (EK1101)^EndY Chassis 3 L2 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L3 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 3 L0 (EK1101)^EndY Chassis 3 L3 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L4 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 3 L0 (EK1101)^EndY Chassis 3 L4 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L5 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 3 L0 (EK1101)^EndY Chassis 3 L5 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L6 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 3 L0 (EK1101)^EndY Chassis 3 L6 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L7 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 3 L0 (EK1101)^EndY Chassis 3 L7 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L8 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 3 L0 (EK1101)^EndY Chassis 3 L8 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L9 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 3 L0 (EK1101)^EndY Chassis 3 L9 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L10 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 3 L0 (EK1101)^EndY Chassis 3 L10 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L11 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 3 L0 (EK1101)^EndY Chassis 3 L11 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L12 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 3 L0 (EK1101)^EndY Chassis 3 L12 "),
(r"TIID^End Y (EtherCAT)^End Link L0 (EK1101)^End Link L3_4 (EK1521)^End Station 3 L0 (EK1101)^End Station 3 L13 ", "TIID^EndY (EtherCAT)^EndY Link L0 (EK1501-0010)^EndY Link L2 (EK1521)^EndY Chassis 3 L0 (EK1101)^EndY Chassis 3 L13 "),

(r"^Seg^Seg[", r"^Seg["),
(r"^I^I[", r"^I["),
(r"^O^O[", r"^O["),

(r"TIPC^TcsEndY^TcsEndY Instance^TcsEStd Inputs^IO_TcsEnd.AosBaffleDcIn^AosBaffleDcIn[", r"TIPC^TcsEndY^TcsEndY Instance^TcsEStd Inputs^IO_TcsEnd.AosBaffleDcIn["),
(r"TIPC^TcsEndY^TcsEndY Instance^TcsEStd Outputs^IO_TcsEnd.AosBaffleDcOut^AosBaffleDcOut[", r"TIPC^TcsEndY^TcsEndY Instance^TcsEStd Outputs^IO_TcsEnd.AosBaffleDcOut["),

(r"^ALS Laser Table Relay (EP2624-0002)^", r"^EndY Illuminator 1 (EP2624-0002)^"),
(r"TIID^End Y (EtherCAT)^", r"TIID^EndY (EtherCAT)^"),
(r"^End Link L0 (EK1101)^", r"^EndY Link L0 (EK1501-0010)^"),
(r"^End Link L2 (EL3202-0010)^", r"^EndY Link L1 (EL3202-0010)^"),
(r"^End Link L3_4 (EK1521)^", r"^EndY Link L2 (EK1521)^"),
(r"^End Station Hub (CU1128)^", r"^EndY VEA Hub 1 (CU1128)^"),
(r"^End Station Hub 2 (CU1128-B)^", r"^EndY VEA Hub 2 (CU1128-0001)^"),

(r"^Baffle PD Amp ETM (EP2316-0008)^", r"^AOS Baffle ETMY 1 (EP2316-0008)^"),
(r"^Baffle PD Amp ETM (EP3174-0002)^", r"^AOS Baffle ETMY 2 (EP3174-0002)^"),
]

for line in filein:
	my_string = line
        if (args.location == 'corner'):
                for k, v in corner_mapping:
                        my_string = my_string.replace(k, v)

        elif (args.location == 'endx'):
                for k, v in end_x_mapping:
                        my_string = my_string.replace(k, v)

        elif (args.location == 'endy'):
                for k, v in end_y_mapping:
                        my_string = my_string.replace(k, v)

	fileout.write(my_string)

filein.close()
fileout.close()
